Package com.sun.speech.freetts

# Interface Dumpable

All Known Subinterfaces:
  `FeatureSet`

All Known Implementing Classes:
  `CMUArcticVoice`, `CMUClusterUnitVoice`, `CMUDiphoneVoice`, `CMUTimeVoice`, `CMUVoice`, `FeatureSetImpl`, `Item`, `MbrolaVoice`, `Relation`, `Utterance`, `Voice`

public interface Dumpable
Tags an object that can be dumped for debugging purposes.

## Method Summary

Modifier and Type
Method
Description
`void`
`dump(PrintWriter pw, int padding, String title)`
Dumps the object to a PrintWriter.

## Method Details

### dump

void dump(PrintWriter pw, int padding, String title)
Dumps the object to a PrintWriter.

Parameters:
  `pw` - the stream to send the output
  `padding` - the number of spaces in the string
  `title` - the title for the dump